Subject: bug#31211: 27.0.50; Pruning of command-history in command-execute is off by one

From: Noam Postavsky <[email-masked]>
Date: Wed, 02 May 2018 20:37:58 -0400

tags 31211 fixed
close 31211 27.1
quit

"Basil L. Contovounesios" <[email-masked]> writes:

> Thanks.  AFAICT the call to marker-position added in the second patch is
> actually redundant, so I'm reattaching the patches with that call
> removed.  Sorry about the nuisance.

No worries, this kind of thing is exactly why I like to wait a bit
before pushing.  I've now pushed to master.

[1: f2c74543ed]: 2018-05-02 20:18:07 -0400
  Fix off-by-one history pruning (bug#31211)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f2c74543edc7e8d07655b459ba8898eec9b6d4e8

[2: 74ff5ade80]: 2018-05-02 20:20:25 -0400
  Minor simple.el simplifications (Bug#31211)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=74ff5ade8002a1a2cc8956607310e5466f2ed596